﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Drawing;

public partial class Default : System.Web.UI.Page
{
    private int step = 1;
    private string GetEventName(string eventName)
    {
        step += 1;
        return eventName;
    }

    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);
        Response.Write(GetEventName("pre init event, this is the " + step + "th step!"));
        //lblMessage.Text = "on pre init";

        this.MasterPageFile = "map.master";
        this.Theme = "BlueSkin";
        if (lblMessage2 == null)
        {
            Response.Write("<span style='color:red;'>Server control has not been initialed on pre init</span>");
        }
        else
        {
            Response.Write("<span style='color:red;'>Server control has been initialed here</span>");
        }
        if(this.ViewState.Count>0)
        {
            Response.Write("ViewState can be used here, the ID is "+ViewState["ID"].ToString());
        }

        Response.Write("<br/>");
    }
    protected override void OnInit(EventArgs e)
    {
        if (lblMessage2 == null)
        {
            Response.Write("<span style='color:red;'>Server control has not been initialed on pre init</span>");
        }
        else
        {
            Response.Write("<span style='color:red;'>Server control has been initialed here</span>");
        }
        base.OnInit(e);
      
        Response.Write(GetEventName("init event, this is the " + step + "the step!   "));
        if (lblMessage2 == null)
        {
            Response.Write("<span style='color:red;'>Server control has not been initialed on pre init</span>");
        }
        else
        {
            Response.Write("<span style='color:red;'>Server control has been initialed here</span>");
        }
        if (this.ViewState.Count > 0)
        {
            Response.Write("<span style='color:red;'>ViewState can be used here, the ID is " + ViewState["ID"].ToString() + "</span>");
        }
        Response.Write("<br/>");

        //this.MasterPageFile = "map.master";
        //this.Theme = "BlueSkin";
    }
    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        Response.Write(GetEventName("init complete event, this is the " + step + "th step!"));
        if (this.ViewState.Count > 0)
        {
            Response.Write("<span style='color:red;'>ViewState can be used here, the ID is " + ViewState["ID"].ToString() + "</span>");
        }
        else
        {
            Response.Write("<span style='color:red;'>ViewState can not be used here</span>");
        }
        Response.Write("<br/>");
    }
    protected override void OnPreLoad(EventArgs e)
    {
        if (this.ViewState.Count > 0)
        {
            Response.Write("<span style='color:red;'>ViewState can be used here, the ID is " + ViewState["ID"].ToString() + "</span>");
        }
        else
        {
            Response.Write("<span style='color:red;'>ViewState can not be used here</span>");
        }
        base.OnPreLoad(e);
        Response.Write(GetEventName("pre load event, this is the " + step + "th step!"));
        if (this.ViewState.Count > 0)
        {
            Response.Write("<span style='color:red;'>ViewState can be used here, the ID is " + ViewState["ID"].ToString() + "</span>");
        }
        else
        {
            Response.Write("<span style='color:red;'>ViewState can not be used here</span>");
        }
        Response.Write("<br/>");
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.Write(GetEventName("page load system provided, this is " + step + "th step!"));
        if (this.ViewState.Count > 0)
        {
            Response.Write("<span style='color:red;'>ViewState can be used here, the ID is " + ViewState["ID"].ToString() + "</span>");
        }
        Response.Write("<br/>");
    }

    protected override void OnLoadComplete(EventArgs e)
    {
        base.OnLoadComplete(e);
        Response.Write(GetEventName("on load complete event, this is the " + step + "th step!<br/>"));
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        Response.Write(GetEventName("pre render event, this is the " + step + "th step!<br/>"));     
    }

    protected override void OnPreRenderComplete(EventArgs e)
    {
        base.OnPreRenderComplete(e);
        Response.Write(GetEventName("pre render complete event, this is the " + step + "th step!<br/>"));
    }

    protected override void OnSaveStateComplete(EventArgs e)
    {
       
        base.OnSaveStateComplete(e);
        Response.Write(GetEventName("sae state complete event, this is the " + step + "th step!<br/>"));
    }

    protected override void Render(HtmlTextWriter writer)
    {
        base.Render(writer);
        Response.Write(GetEventName("render function, this is the " + step + "th step!<br/>"));
    }

    protected override void OnUnload(EventArgs e)
    {
        if (this == null)
        {
            string aaa = string.Empty;
        }
        if (lblMessage2 == null)
        {
            string ga = string.Empty;
        }
        base.OnUnload(e);
        if (this == null)
        {
 
        }
    }

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
        Response.Write(GetEventName("page load we created, this is the " + step + "th step!<br/>"));
    }
    protected void btnSubmit_Click1(object sender, EventArgs e)
    {
        ViewState["ID"] = "12345";
        Response.Write(GetEventName("button control click event, this is the " + step + "th step!<br/>"));
    }
}
